%define upstream_name    MooseX-Timestamp
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simple timestamp type for Moose, with Time Zone
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Memoize)
BuildRequires: perl(Moose)
BuildRequires: perl(Sub::Exporter)
BuildArch: noarch

%description
This module provides a timestamp type as a Str subtype for Moose. This is a
much more lightweight format than, say, the DateTime manpage, with the
disadvantage that it does not support native operations on the dates.

This module provides floating dates on the Gregorian calendar without much
code. It operates in (one or two particular variants of) ISO-8601 date
format, and POSIX-style 6-number lists.

Note: you probably want the functions provided by MooseX::TimestampTZ most
of the time, as they deal in unix epoch times.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc SIGNATURE META.yml Changelog
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 513243
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 370311
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 180148
- imported package perl-MooseX-Timestamp


* Sat Dec 10 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
